unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, FileVersion, StdCtrls, ExtCtrls, CM2MMRB, CM2PlugIntypes;

type
  TForm3 = class(TForm)
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Bevel1: TBevel;
    Label6: TLabel;
    Button1: TButton;
    fv: TFileVersion;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    Function Execute: Boolean;
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}

function TForm3.Execute: Boolean;
begin
 Result := showmodal = mrOK;
end;

procedure TForm3.FormCreate(Sender: TObject);
begin
 fv.Filename := Application.ExeName;
 Label4.caption := fv.FileVersion;
 Label5.Caption := WordToStr(CoreVersion);
end;

end.
